SrcDir  = :
ObjDir  = :objs:
App		= "Teach"

Sources = 						¶
		{SrcDir}uGlobals.p		¶
		{SrcDir}uUtils.p		¶
		{SrcDir}uWindow.p		¶
		{SrcDir}uMenu.p			¶
		{SrcDir}uEvent.p		¶
		{SrcDir}Teach.p


Objects = 						¶
		{ObjDir}uGlobals.p.obj	¶
		{ObjDir}uUtils.p.obj	¶
		{ObjDir}uWindow.p.obj	¶
		{ObjDir}uMenu.p.obj		¶
		{ObjDir}uEvent.p.obj	¶
		{ObjDir}Teach.asm.obj	¶
		{ObjDir}Teach.p.obj


{App} Ä		{ObjDir}Teach.Load {ObjDir}Teach.Res
	delete  -i {App}
	duplicate -y -d {ObjDir}Teach.load p.{App}
	duplicate -y -r {ObjDir}Teach.res p.{App}
	duplicateiigs -y -mac p.{App} :

{ObjDIR}Teach.res		Ä						¶
							Teach.r
	reziigs Teach.r -o {ObjDir}Teach.res

{ObjDir}Teach.Load		Ä	{Objects}
	LinkIIGS ¶
		"{PIIGSLibraries}"PStart.obj¶
		{Objects} ¶
		-lib "{PIIGSLibraries}"plib ¶
		-o {ObjDir}Teach.Load  -t $B3
		

{ObjDir}Teach.p.obj 		Ä 						¶
							Teach.p				¶
							uevent.p
	pascaliigs Teach.p -o {ObjDir}

{ObjDir}uEvent.p.obj 	Ä 						¶
							uEvent.p			¶
							uEvent.inc.p		¶
							uWindow.p			¶
							uMenu.p				¶
							uUtils.p			¶
							uGlobals.p	
	pascaliigs uEvent.p -o {ObjDir}

{ObjDir}uWindow.p.obj 	Ä						¶
							uWindow.p			¶
							uWindow.inc.p		¶
							uUtils.p	 		¶
							uGlobals.p	
	pascaliigs uWindow.p -o {ObjDir}

{ObjDir}uMenu.p.obj 	Ä						¶
							uMenu.p				¶
							uMenu.inc.p			¶
							uUtils.p	 		¶
							uGlobals.p	
	pascaliigs uMenu.p -o {ObjDir}

{ObjDir}uUtils.p.obj 	Ä						¶
							uUtils.p			¶
							uUtils.inc.p
	pascaliigs uUtils.p -o {ObjDir}

{ObjDir}uGlobals.p.obj 	Ä						¶
							uGlobals.p			¶
							uGlobals.inc.p	
	pascaliigs uGlobals.p -o {ObjDir}

{ObjDir}Teach.asm.obj 	Ä						¶
							Teach.asm	
	asmiigs teach.asm -o {ObjDir}






